Skip to main content
POST
Rearrange visit

Authorizations

x-api-key
string
header
required

A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.

Path Parameters

id
string
required

Body

application/json
requestId
string
required
calendarEventId
string
required
startsAt
string
required
durationMinutes
enum<number>
required
Available options:
15,
30,
45,
60,
90,
120,
180,
240,
480
askedBy
enum<string>
required
Available options:
tenant,
contractor,
agency
notifyTenant
boolean
required
notifyLandlord
boolean
required
notifyContractor
boolean
required
reason
enum<string> · null · null
Available options:
tenant_unavailable,
tenant_called_office,
emergency_elsewhere,
job_overran,
illness,
vehicle,
parts,
other
note
string · null · null
agreedWithContractor
enum<string> · null · null
Available options:
phone,
email,
in_person

Response

Success

repairId
string
required
changes
object[]
required
changedBy
object
required
suggestChangeContractor
boolean
required